<bugID>851702<Summary>Remove "Enable JavaScript" checkbox from Prefs</Summary><Description>If a user unchecks this box, they'll effectively render the browser unusable on a large number of sites. We should not ship this option to hundreds of millions of users.

Individuals that need this functionality should use about:config, NoScript, web developer tools, or similar.</Description></bugID>